/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/FileDownloader.tsx
var FileDownloader_exports = {};
__export(FileDownloader_exports, {
  FileDownloader: () => FileDownloader
});
module.exports = __toCommonJS(FileDownloader_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/Downloader.ts
var Downloader = class {
  constructor(downloaders) {
    this.downloaders = {};
    this.downloaders = downloaders;
  }
  downloadWithProgress(url, complete, progress, error) {
    let protocol = "";
    let isUrl = true;
    try {
      protocol = new URL(url).protocol;
    } catch (e) {
      isUrl = false;
    }
    if (isUrl) {
      try {
        const [type = ""] = protocol.split(":");
        if (this.downloaders[type]) {
          this.downloaders[type].downloadWithProgress(url, complete, progress, error);
        } else {
          error(`Unsupported URL protocol '${type}' for SVG download: ${url}`);
        }
      } catch (e) {
        error(`Unexpected error downloading SVG: ${e.message}`);
      }
    } else {
      complete(url);
    }
  }
};

// src/FileDownloader.tsx
var FileDownloader = class extends react_exports.PureComponent {
  constructor(props) {
    super(props);
    this.state = {};
  }
  componentDidMount() {
    this.initiateDownload();
  }
  componentDidUpdate(prevProps) {
    if (this.props.url !== prevProps.url) {
      this.initiateDownload();
    }
  }
  initiateDownload() {
    this.setState({});
    const { url } = this.props;
    const downloader = new Downloader(this.props.protocolHandlers);
    downloader.downloadWithProgress(
      url,
      (content) => this.setState({ content }),
      // done downloading
      (progress) => {
        this.setState({ progress });
      },
      (msg) => {
        this.setState({ error: msg });
      }
    );
  }
  render() {
    const {
      url,
      renderContent,
      renderProgress,
      renderError = (msg) => /* @__PURE__ */ react_exports.createElement("div", null, msg)
    } = this.props;
    const {
      content,
      progress = { message: `Downloading ${url}...`, bytesDownloaded: 0 },
      error
    } = this.state;
    if (content) {
      return renderContent(content);
    }
    if (error) {
      return renderError(error);
    }
    return typeof renderProgress === "function" ? renderProgress(progress) : /* @__PURE__ */ react_exports.createElement(react_exports.Fragment, null);
  }
};
//# sourceMappingURL=FileDownloader.js.map
