/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Message.jsx
var Message_exports2 = {};
__export(Message_exports2, {
  default: () => Message_default2
});
module.exports = __toCommonJS(Message_exports2);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:prop-types
var prop_types_exports = {};
__export(prop_types_exports, {
  default: () => prop_types_default
});
var defaultImport2 = __toESM(require("prop-types"));
__reExport(prop_types_exports, require("prop-types"));
var prop_types_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:styled-components
var styled_components_exports = {};
__export(styled_components_exports, {
  default: () => styled_components_default
});
var defaultImport3 = __toESM(require("styled-components"));
__reExport(styled_components_exports, require("styled-components"));
var styled_components_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// esm-externals:@splunk/react-ui/Message
var Message_exports = {};
__export(Message_exports, {
  default: () => Message_default
});
var defaultImport4 = __toESM(require("@splunk/react-ui/Message"));
__reExport(Message_exports, require("@splunk/react-ui/Message"));
var Message_default = "default" in defaultImport4 ? defaultImport4.default : defaultImport4;

// esm-externals:lodash/isNumber
var isNumber_exports = {};
__export(isNumber_exports, {
  default: () => isNumber_default
});
var defaultImport5 = __toESM(require("lodash/isNumber"));
__reExport(isNumber_exports, require("lodash/isNumber"));
var isNumber_default = "default" in defaultImport5 ? defaultImport5.default : defaultImport5;

// src/style.js
var toPx = (number, defaultNumber = 0) => isNumber_default(number) ? `${number}px` : number || toPx(defaultNumber);
var toDimension = ({ width, height }) => {
  let css = "";
  if (width) {
    css = `width: ${toPx(width)};`;
  }
  if (height) {
    css = `${css}${width ? "\n" : ""}height: ${toPx(height)};`;
  }
  return css;
};

// src/Message.jsx
var MessageContainer = styled_components_default.div`
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    ${(p) => toDimension({ width: p.width, height: p.height })};
`;
var Message = ({ width, height, level, message }) => /* @__PURE__ */ react_default.createElement(MessageContainer, { width, height, "data-test": "visualization-message" }, /* @__PURE__ */ react_default.createElement(Message_default, { type: level, style: { maxWidth: "100%" } }, message));
Message.propTypes = {
  /**
   * width in pixel or string, defaults to 100%
   */
  width: prop_types_default.oneOfType([prop_types_default.string, prop_types_default.number]),
  /**
   * height in pixel or string
   */
  height: prop_types_default.oneOfType([prop_types_default.string, prop_types_default.number]),
  /**
   * message text
   */
  message: prop_types_default.string,
  /**
   * message level
   */
  level: prop_types_default.oneOf(["info", "warning", "error"])
};
Message.defaultProps = {
  level: "info",
  message: ""
};
var Message_default2 = react_default.memo(Message);
//# sourceMappingURL=Message.js.map
