/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/RemoteImage.jsx
var RemoteImage_exports = {};
__export(RemoteImage_exports, {
  default: () => RemoteImage_default,
  isRemoteImage: () => isRemoteImage
});
module.exports = __toCommonJS(RemoteImage_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:prop-types
var prop_types_exports = {};
__export(prop_types_exports, {
  default: () => prop_types_default
});
var defaultImport2 = __toESM(require("prop-types"));
__reExport(prop_types_exports, require("prop-types"));
var prop_types_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:styled-components
var styled_components_exports = {};
__export(styled_components_exports, {
  default: () => styled_components_default
});
var defaultImport3 = __toESM(require("styled-components"));
__reExport(styled_components_exports, require("styled-components"));
var styled_components_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// esm-externals:lodash/pick
var pick_exports = {};
__export(pick_exports, {
  default: () => pick_default
});
var defaultImport4 = __toESM(require("lodash/pick"));
__reExport(pick_exports, require("lodash/pick"));
var pick_default = "default" in defaultImport4 ? defaultImport4.default : defaultImport4;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport5 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport5 ? defaultImport5.default : defaultImport5;

// esm-externals:@splunk/visualization-context/ImageContext
var ImageContext_exports = {};
__export(ImageContext_exports, {
  default: () => ImageContext_default
});
var defaultImport6 = __toESM(require("@splunk/visualization-context/ImageContext"));
__reExport(ImageContext_exports, require("@splunk/visualization-context/ImageContext"));
var ImageContext_default = "default" in defaultImport6 ? defaultImport6.default : defaultImport6;

// esm-externals:lodash/isNumber
var isNumber_exports = {};
__export(isNumber_exports, {
  default: () => isNumber_default
});
var defaultImport7 = __toESM(require("lodash/isNumber"));
__reExport(isNumber_exports, require("lodash/isNumber"));
var isNumber_default = "default" in defaultImport7 ? defaultImport7.default : defaultImport7;

// src/style.js
var toPx = (number, defaultNumber = 0) => isNumber_default(number) ? `${number}px` : number || toPx(defaultNumber);
var toDimension = ({ width, height }) => {
  let css = "";
  if (width) {
    css = `width: ${toPx(width)};`;
  }
  if (height) {
    css = `${css}${width ? "\n" : ""}height: ${toPx(height)};`;
  }
  return css;
};

// src/RemoteImage.jsx
var isRemoteImage = (src = "") => {
  const [type] = src.split("://");
  return src.indexOf("://") > -1 && type !== "http" && type !== "https";
};
var toImageDimensions = (props) => {
  if (props.shouldPreserveAspectRatio) {
    return `
            max-width: 100%;
            max-height: 100%;
            width: auto;
            height: auto;
        `;
  }
  return toDimension(pick_default(props, ["width", "height"]));
};
var Image = styled_components_default.img`
    display: block;
    ${(props) => toImageDimensions(props)};
`;
var RemoteImage = class extends react_exports.PureComponent {
  constructor(props) {
    super(props);
    this.state = { imageDataURI: null, preserveAspectRatio: props.preserveAspectRatio };
  }
  componentDidMount() {
    this.getImage(this.props.imageURL);
  }
  componentDidUpdate(prevProps) {
    if (prevProps.imageURL !== this.props.imageURL) {
      this.getImage(this.props.imageURL);
    }
    if (prevProps.preserveAspectRatio !== this.props.preserveAspectRatio) {
      this.setState({ preserveAspectRatio: this.props.preserveAspectRatio });
    }
  }
  getImage(imageURL) {
    return __async(this, null, function* () {
      const imageRegistry = this.context;
      if (imageRegistry) {
        try {
          const image = yield imageRegistry.getByURL(imageURL);
          this.setState({ imageDataURI: image.dataURI });
        } catch (error) {
          console.error(error);
        }
      }
    });
  }
  render() {
    const { imageDataURI } = this.state;
    const { width, height, title } = this.props;
    if (!imageDataURI) {
      return null;
    }
    return /* @__PURE__ */ react_default.createElement(
      Image,
      {
        src: imageDataURI,
        shouldPreserveAspectRatio: this.state.preserveAspectRatio,
        width,
        height,
        alt: (0, i18n_exports._)(title),
        onError: (e) => {
          e.target.alt = (0, i18n_exports._)("Image not found");
        }
      }
    );
  }
};
__publicField(RemoteImage, "contextType", ImageContext_default);
__publicField(RemoteImage, "propTypes", {
  imageURL: prop_types_default.string,
  width: prop_types_default.oneOfType([prop_types_default.string, prop_types_default.number]),
  height: prop_types_default.oneOfType([prop_types_default.string, prop_types_default.number]),
  preserveAspectRatio: prop_types_default.bool,
  title: prop_types_default.string
});
__publicField(RemoteImage, "defaultProps", {
  preserveAspectRatio: false
});
var RemoteImage_default = RemoteImage;
//# sourceMappingURL=RemoteImage.js.map
