/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/SanitizeProps.tsx
var SanitizeProps_exports = {};
__export(SanitizeProps_exports, {
  sanitize: () => sanitize,
  withSanitizedProps: () => withSanitizedProps
});
module.exports = __toCommonJS(SanitizeProps_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:lodash
var lodash_exports = {};
__export(lodash_exports, {
  default: () => lodash_default
});
var defaultImport2 = __toESM(require("lodash"));
__reExport(lodash_exports, require("lodash"));
var lodash_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/visualization-encoding/utils/colorUtils
var colorUtils_exports = {};
__export(colorUtils_exports, {
  default: () => colorUtils_default
});
var defaultImport3 = __toESM(require("@splunk/visualization-encoding/utils/colorUtils"));
__reExport(colorUtils_exports, require("@splunk/visualization-encoding/utils/colorUtils"));
var colorUtils_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/SanitizeProps.tsx
var propsKeyValidators = {
  backgroundColor: colorUtils_exports.isColor,
  deltaColor: colorUtils_exports.isColor,
  // SV react-visualizations & dashboard-visualizations
  trendColor: colorUtils_exports.isColor,
  // SV visualizations
  fontColor: colorUtils_exports.isColor,
  fillColor: colorUtils_exports.isColor,
  gaugeColor: colorUtils_exports.isColor,
  majorColor: colorUtils_exports.isColor,
  radialBackgroundColor: colorUtils_exports.isColor,
  radialStrokeColor: colorUtils_exports.isColor,
  sparklineFillColor: colorUtils_exports.isColor,
  sparklineStrokeColor: colorUtils_exports.isColor,
  strokeColor: colorUtils_exports.isColor,
  strokeHighlightColor: colorUtils_exports.isColor,
  headerBackgroundColor: colorUtils_exports.isColor,
  rowBackgroundColorOdd: colorUtils_exports.isColor,
  rowBackgroundColorEven: colorUtils_exports.isColor,
  headerTextColor: colorUtils_exports.isColor,
  rowTextColorOdd: colorUtils_exports.isColor,
  rowTextColorEven: colorUtils_exports.isColor,
  color: colorUtils_exports.isColor,
  textColor: colorUtils_exports.isColor,
  defaultFontColor: colorUtils_exports.isColor,
  defaultBlockFontColor: colorUtils_exports.isColor,
  sparklineAreaColor: colorUtils_exports.isColor,
  iconColor: colorUtils_exports.isColor,
  areaColor: colorUtils_exports.isColor,
  nodeColor: colorUtils_exports.isColor,
  nodeHighlightColor: colorUtils_exports.isColor,
  linkColor: colorUtils_exports.isColor,
  nodeTextColor: colorUtils_exports.isColor,
  nodeTextHighlightColor: colorUtils_exports.isColor,
  trellisBackgroundColor: colorUtils_exports.isColor
};
function isValidProperty(key, value) {
  const { hasOwnProperty } = Object.prototype;
  return hasOwnProperty.call(propsKeyValidators, key) ? propsKeyValidators[key](value) : true;
}
function sanitize(props) {
  return Object.keys(props).reduce((accum, key) => {
    if (key === "options" && (0, lodash_exports.isPlainObject)(props.options)) {
      accum[key] = sanitize(props.options);
    } else if (isValidProperty(key, props[key])) {
      accum[key] = props[key];
    }
    return accum;
  }, {});
}
function withSanitizedProps(WrappedComponent) {
  const Wrapper = (props) => {
    const sanitizedProps = sanitize(props);
    return /* @__PURE__ */ react_exports.createElement(WrappedComponent, __spreadValues({}, sanitizedProps));
  };
  return Wrapper;
}
//# sourceMappingURL=SanitizeProps.js.map
