/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);

// src/SizeAwareWrapper.jsx
var SizeAwareWrapper_exports = {};
__export(SizeAwareWrapper_exports, {
  default: () => SizeAwareWrapper_default
});
module.exports = __toCommonJS(SizeAwareWrapper_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:prop-types
var prop_types_exports = {};
__export(prop_types_exports, {
  default: () => prop_types_default
});
var defaultImport2 = __toESM(require("prop-types"));
__reExport(prop_types_exports, require("prop-types"));
var prop_types_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/SizeAwareWrapper.jsx
var styles = {
  position: "absolute",
  width: 0,
  height: 0,
  visibility: "hidden",
  display: "none"
};
var SizeAwareWrapper = class extends react_exports.PureComponent {
  constructor() {
    super(...arguments);
    __publicField(this, "getElement", () => {
      const parentElement = this.el && this.el.parentElement;
      return parentElement;
    });
    __publicField(this, "handleResize", (entries) => {
      entries.forEach((entry) => {
        const { width, height } = entry.contentRect;
        this.props.onResize(width, height);
      });
    });
  }
  componentDidMount() {
    const resizableElement = this.getElement();
    if (resizableElement) {
      this.ro = this.getResizeObserver();
      this.ro.observe(resizableElement);
    }
  }
  componentWillUnmount() {
    const resizableElement = this.getElement();
    if (resizableElement && this.ro) {
      this.ro.unobserve(resizableElement);
    }
  }
  getResizeObserver() {
    if (typeof ResizeObserver !== "function") {
      return {
        observe() {
        },
        unobserve() {
        }
      };
    }
    return new ResizeObserver(this.handleResize);
  }
  render() {
    return /* @__PURE__ */ react_default.createElement(
      "div",
      {
        key: "resize-detector",
        style: styles,
        ref: (el) => {
          this.el = el;
        }
      }
    );
  }
};
SizeAwareWrapper.propTypes = {
  onResize: prop_types_default.func
  // This was to use width and height as props and then check to see if the values have changed inside the handleResize function
  // Some components need a double render to 'settle' and are using this so no check is needed.
  // However until that is fixed unit tests rely on these props so keeping as optional.
  // width: T.arrayOf(T.number, T.string),
  // height: T.arrayOf(T.number, T.string),
};
SizeAwareWrapper.defaultProps = {
  onResize: () => {
  }
};
var SizeAwareWrapper_default = SizeAwareWrapper;
//# sourceMappingURL=SizeAwareWrapper.js.map
