/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);

// src/VisualizationDocPage.jsx
var VisualizationDocPage_exports = {};
__export(VisualizationDocPage_exports, {
  default: () => VisualizationDocPage_default
});
module.exports = __toCommonJS(VisualizationDocPage_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:prop-types
var prop_types_exports = {};
__export(prop_types_exports, {
  default: () => prop_types_default
});
var defaultImport2 = __toESM(require("prop-types"));
__reExport(prop_types_exports, require("prop-types"));
var prop_types_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:lodash
var lodash_exports = {};
__export(lodash_exports, {
  default: () => lodash_default
});
var defaultImport3 = __toESM(require("lodash"));
__reExport(lodash_exports, require("lodash"));
var lodash_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// esm-externals:@splunk/react-docs/DockingTabBar
var DockingTabBar_exports = {};
__export(DockingTabBar_exports, {
  default: () => DockingTabBar_default
});
var defaultImport4 = __toESM(require("@splunk/react-docs/DockingTabBar"));
__reExport(DockingTabBar_exports, require("@splunk/react-docs/DockingTabBar"));
var DockingTabBar_default = "default" in defaultImport4 ? defaultImport4.default : defaultImport4;

// esm-externals:@splunk/react-docs/API
var API_exports = {};
__export(API_exports, {
  default: () => API_default
});
var defaultImport5 = __toESM(require("@splunk/react-docs/API"));
__reExport(API_exports, require("@splunk/react-docs/API"));
var API_default = "default" in defaultImport5 ? defaultImport5.default : defaultImport5;

// src/previewVizMessage.ts
var previewVizMessage = "\u26A0\uFE0F This is a preview of a new visualization component. Minor updates and bug fixes should be expected.";
var previewVizMessage_default = previewVizMessage;

// src/VisualizationDocPage.jsx
var _ComponentPage = class _ComponentPage extends react_exports.Component {
  constructor(...args) {
    super(...args);
    __publicField(this, "handleBodyMount", (el) => {
      this.bodyEl = el;
    });
    __publicField(this, "handleSectionChange", (e, { selectedTabId }) => {
      _ComponentPage.currentSection = selectedTabId;
      this.setState({ activeSection: selectedTabId }, () => {
        const { top } = this.bodyEl.getBoundingClientRect();
        if (top < window.scrollY) {
          const target = top + window.scrollY - 90;
          window.scroll(0, target);
        }
      });
    });
    this.state = { activeSection: _ComponentPage.currentSection };
  }
  renderBody() {
    const {
      encodingSection,
      optionSection,
      overviewSection,
      conceptsSection,
      examplesSection,
      eventSection,
      themeSection
    } = this.props;
    const { activeSection } = this.state;
    switch (activeSection) {
      case "concepts":
        return conceptsSection;
      case "overview":
        return overviewSection;
      case "examples":
        return examplesSection;
      case "encoding":
        return encodingSection;
      case "option":
        return optionSection;
      case "event":
        return eventSection;
      case "theme":
        return themeSection;
      default:
        return null;
    }
  }
  render() {
    const {
      createComponentURL,
      conceptsSection,
      overviewSection,
      examplesSection,
      encodingSection,
      eventSection,
      themeSection,
      headerOffset,
      sourceURL
    } = this.props;
    const basePageProps = (0, lodash_exports.pick)(this.props, "dependsOnSplunk", "description", "title");
    if (this.props.status === "preview") {
      basePageProps.description = `#### ${previewVizMessage_default} 
 ${basePageProps.description || ""}`;
    }
    let { activeSection } = this.state;
    let body = this.renderBody();
    if (!body) {
      body = examplesSection;
      activeSection = "examples";
    }
    return /* @__PURE__ */ react_default.createElement(API_default, __spreadValues({ sourceURL: sourceURL || createComponentURL(window.location.pathname) }, basePageProps), /* @__PURE__ */ react_default.createElement(
      DockingTabBar_default,
      {
        activeTabId: activeSection,
        offset: headerOffset,
        onChange: this.handleSectionChange
      },
      overviewSection && /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Overview", tabId: "overview" }),
      /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Examples", tabId: "examples" }),
      encodingSection && /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Encoding", tabId: "encoding" }),
      /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Options", tabId: "option" }),
      eventSection && /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Events", tabId: "event" }),
      themeSection && /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Themes", tabId: "theme" }),
      conceptsSection && /* @__PURE__ */ react_default.createElement(DockingTabBar_exports.Tab, { label: "Concepts", tabId: "concepts" })
    ), /* @__PURE__ */ react_default.createElement(
      "div",
      {
        style: {
          padding: "0 30px 30px",
          marginTop: "20px"
        },
        ref: this.handleBodyMount
      },
      body
    ));
  }
};
__publicField(_ComponentPage, "currentSection", "overview");
__publicField(_ComponentPage, "propTypes", {
  createComponentURL: prop_types_default.func,
  dependsOnSplunk: prop_types_default.bool,
  /**
   * If status is `preview`, a message is prepended to the description reflecting this visualization is new
   *  and minor changes may be made soon.
   */
  status: prop_types_default.string,
  description: prop_types_default.string,
  /**
   * The "overview" section of the doc page.
   */
  overviewSection: prop_types_default.node,
  /**
   * The "concepts" section of the doc page.
   */
  conceptsSection: prop_types_default.node,
  /**
   * The "examples" section of the doc page.
   */
  examplesSection: prop_types_default.node.isRequired,
  /**
   * The "options" section of the doc page.
   */
  optionSection: prop_types_default.node.isRequired,
  /**
   * The "encoding" section of the doc page.
   */
  encodingSection: prop_types_default.node,
  /**
   * The "event" section of the doc page.
   */
  eventSection: prop_types_default.node,
  /**
   * The "theme" section of the doc page
   */
  themeSection: prop_types_default.node,
  headerOffset: prop_types_default.number,
  /**
   * Overrides the (otherwise automatically generated) source code url.
   */
  sourceURL: prop_types_default.string,
  title: prop_types_default.string.isRequired
});
__publicField(_ComponentPage, "defaultProps", {
  createComponentURL() {
  },
  headerOffset: 0
});
var ComponentPage = _ComponentPage;
var VisualizationDocPage_default = ComponentPage;
//# sourceMappingURL=VisualizationDocPage.js.map
