/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/colorConstants.js
var colorConstants_exports = {};
__export(colorConstants_exports, {
  COLOR_EDITOR_PALETTE: () => COLOR_EDITOR_PALETTE,
  DELTA_GREEN: () => DELTA_GREEN,
  DELTA_RED: () => DELTA_RED,
  RADIAL_BACKGROUND_COLOR: () => RADIAL_BACKGROUND_COLOR,
  RADIAL_SEVERITY_COLORS: () => RADIAL_SEVERITY_COLORS,
  RADIAL_STROKE_COLOR: () => RADIAL_STROKE_COLOR,
  SEMANTIC_ERROR: () => SEMANTIC_ERROR,
  SEMANTIC_SUCCESS: () => SEMANTIC_SUCCESS,
  SEMANTIC_WARNING: () => SEMANTIC_WARNING,
  SPARKLINE_FILL_COLOR: () => SPARKLINE_FILL_COLOR,
  SPARKLINE_STROKE_COLOR: () => SPARKLINE_STROKE_COLOR,
  SPARKLINE_WHITE: () => SPARKLINE_WHITE
});
module.exports = __toCommonJS(colorConstants_exports);

// esm-externals:@splunk/themes/getTheme
var getTheme_exports = {};
__export(getTheme_exports, {
  default: () => getTheme_default
});
var defaultImport = __toESM(require("@splunk/themes/getTheme"));
__reExport(getTheme_exports, require("@splunk/themes/getTheme"));
var getTheme_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// src/colorConstants.js
var themeEnterprise = getTheme_default({ family: "enterprise", colorScheme: "light", density: "comfortable" });
var DELTA_GREEN = themeEnterprise.successColor;
var DELTA_RED = themeEnterprise.errorColor;
var SEMANTIC_SUCCESS = "#53a051";
var SEMANTIC_WARNING = "#f8be34";
var SEMANTIC_ERROR = "#dc4e41";
var SPARKLINE_FILL_COLOR = themeEnterprise.gray60;
var SPARKLINE_STROKE_COLOR = themeEnterprise.gray20;
var SPARKLINE_WHITE = themeEnterprise.white;
var RADIAL_BACKGROUND_COLOR = themeEnterprise.gray92;
var RADIAL_STROKE_COLOR = themeEnterprise.gray60;
var RADIAL_SEVERITY_COLORS = {
  none: {
    background: themeEnterprise.gray92,
    stroke: themeEnterprise.gray60
  },
  low: {
    background: themeEnterprise.successColorL40,
    stroke: themeEnterprise.successColorD50
  },
  guarded: {
    background: themeEnterprise.infoColorL40,
    stroke: themeEnterprise.infoColorD50
  },
  elevated: {
    background: themeEnterprise.warningColorL40,
    stroke: themeEnterprise.warningColorD50
  },
  high: {
    background: themeEnterprise.alertColorL40,
    stroke: themeEnterprise.alertColorD50
  },
  severe: {
    background: themeEnterprise.errorColorL40,
    stroke: themeEnterprise.errorColorD50
  }
};
var COLOR_EDITOR_PALETTE = [
  "transparent",
  "#000000",
  "#ffffff",
  "#dc4e41",
  "#f1813f",
  "#f8be34",
  "#53a051",
  "#0877a6",
  "#ec9960",
  "#af575a",
  "#62b3b2",
  "#4fa484",
  "#f8be44",
  "#5a4575",
  "#708794",
  "#294e70",
  "#b6c75a"
];
//# sourceMappingURL=colorConstants.js.map
