/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/console.js
var console_exports = {};
__export(console_exports, {
  default: () => console_default,
  logfmt: () => logfmt
});
module.exports = __toCommonJS(console_exports);
var hasWindowConsole = typeof window === "object" && "console" in window;
var hasConsoleMethod = (method) => hasWindowConsole && typeof window.console[method] === "function";
var noop = () => {
};
var console = {
  log: hasConsoleMethod("log") ? (...args) => window.console.log(...args) : noop,
  debug: hasConsoleMethod("debug") ? (...args) => window.console.debug(...args) : noop,
  info: hasConsoleMethod("info") ? (...args) => window.console.info(...args) : noop,
  warn: hasConsoleMethod("warn") ? (...args) => window.console.warn(...args) : noop,
  error: hasConsoleMethod("error") ? (...args) => window.console.error(...args) : noop,
  group: hasConsoleMethod("group") ? (...args) => window.console.group(...args) : noop,
  groupCollapsed: hasConsoleMethod("groupCollapsed") ? (...args) => window.console.groupCollapsed(...args) : noop,
  groupEnd: hasConsoleMethod("groupEnd") ? (...args) => window.console.groupEnd(...args) : noop,
  logWithDetails(message, lines) {
    console.groupCollapsed(message);
    lines.forEach((line) => Array.isArray(line) ? console.log(...line) : console.log(line));
    console.groupEnd();
  }
};
var console_default = console;
function logfmt(strings, ...values) {
  return [strings.join("%o"), ...values || []];
}
//# sourceMappingURL=console.js.map
