/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/dataSourceUtils.ts
var dataSourceUtils_exports = {};
__export(dataSourceUtils_exports, {
  DataSourceState: () => DataSourceState,
  getDataSourceStateInfo: () => getDataSourceStateInfo
});
module.exports = __toCommonJS(dataSourceUtils_exports);
var DataSourceState = /* @__PURE__ */ ((DataSourceState2) => {
  DataSourceState2[DataSourceState2["NONEXISTENT"] = 0] = "NONEXISTENT";
  DataSourceState2[DataSourceState2["ERROR"] = 1] = "ERROR";
  DataSourceState2[DataSourceState2["LOADING"] = 2] = "LOADING";
  DataSourceState2[DataSourceState2["OK"] = 3] = "OK";
  return DataSourceState2;
})(DataSourceState || {});
var getDataSourceState = (dataSource) => {
  if (!dataSource) {
    return 0 /* NONEXISTENT */;
  }
  const { error, data } = dataSource;
  if (dataSource.error) {
    return 1 /* ERROR */;
  }
  if (error == null && data == null) {
    return 2 /* LOADING */;
  }
  return 3 /* OK */;
};
var getDataSourceStateInfo = (dataSource) => {
  const dataSourceState = getDataSourceState(dataSource);
  return {
    hasError: dataSourceState === 1 /* ERROR */,
    isMissing: dataSourceState === 0 /* NONEXISTENT */,
    isLoading: dataSourceState === 2 /* LOADING */
  };
};
//# sourceMappingURL=dataSourceUtils.js.map
