/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/i18n.js
var i18n_exports = {};
__export(i18n_exports, {
  setI18nFunctions: () => setI18nFunctions
});
module.exports = __toCommonJS(i18n_exports);

// esm-externals:numeral
var numeral_exports = {};
__export(numeral_exports, {
  default: () => numeral_default
});
var defaultImport = __toESM(require("numeral"));
__reExport(numeral_exports, require("numeral"));
var numeral_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/moment
var moment_exports = {};
__export(moment_exports, {
  default: () => moment_default
});
var defaultImport2 = __toESM(require("@splunk/moment"));
__reExport(moment_exports, require("@splunk/moment"));
var moment_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/i18n.js
var quarters = {
  1: "1st quarter",
  2: "2nd quarter",
  3: "3rd quarter",
  4: "4th quarter"
};
var days = {
  0: "Monday",
  1: "Tuesday",
  2: "Wednesday",
  3: "Thursday",
  4: "Friday",
  5: "Saturday",
  6: "Sunday"
};
var months = {
  1: "January",
  2: "February",
  3: "March",
  4: "April",
  5: "May",
  6: "June",
  7: "July",
  8: "August",
  9: "September",
  10: "October",
  11: "November",
  12: "December"
};
var narrowMonths = {
  1: "J",
  2: "F",
  3: "M",
  4: "A",
  5: "M",
  6: "J",
  7: "J",
  8: "A",
  9: "S",
  10: "O",
  11: "N",
  12: "D"
};
var localeDefinition = {
  date_formats: {
    medium: { pattern: "MMM d, yyyy", format: "%(MMM)s %(d)s, %(yyyy)s" },
    long: { pattern: "MMMM d, yyyy", format: "%(MMMM)s %(d)s, %(yyyy)s" },
    short: { pattern: "M/d/yy", format: "%(M)s/%(d)s/%(yy)s" },
    full: { pattern: "EEEE, MMMM d, yyyy", format: "%(EEEE)s, %(MMMM)s %(d)s, %(yyyy)s" }
  },
  quarters: {
    "stand-alone": {
      wide: quarters,
      abbreviated: quarters,
      narrow: { 1: "1", 2: "2", 3: "3", 4: "4" }
    },
    format: {
      wide: quarters,
      abbreviated: { 1: "Q1", 2: "Q2", 3: "Q3", 4: "Q4" },
      narrow: { 1: "1", 2: "2", 3: "3", 4: "4" }
    }
  },
  min_week_days: 1,
  days: {
    "stand-alone": {
      wide: days,
      abbreviated: days,
      narrow: { 0: "M", 1: "T", 2: "W", 3: "T", 4: "F", 5: "S", 6: "S" }
    },
    format: {
      wide: days,
      abbreviated: {
        0: "Mon",
        1: "Tue",
        2: "Wed",
        3: "Thu",
        4: "Fri",
        5: "Sat",
        6: "Sun"
      },
      narrow: { 0: "M", 1: "T", 2: "W", 3: "T", 4: "F", 5: "S", 6: "S" }
    }
  },
  eras: {
    wide: { 0: "Before Christ", 1: "Anno Domini" },
    abbreviated: { 0: "BC", 1: "AD" },
    narrow: { 0: "B", 1: "A" }
  },
  percent_format: "#,##0%",
  scientific_format: "#E0",
  first_week_day: 6,
  group_symbol: ",",
  minus_sign: "-",
  months: {
    "stand-alone": {
      wide: months,
      abbreviated: months,
      narrow: narrowMonths
    },
    format: {
      wide: months,
      abbreviated: {
        1: "Jan",
        2: "Feb",
        3: "Mar",
        4: "Apr",
        5: "May",
        6: "Jun",
        7: "Jul",
        8: "Aug",
        9: "Sep",
        10: "Oct",
        11: "Nov",
        12: "Dec"
      },
      narrow: narrowMonths
    }
  },
  decimal_symbol: ".",
  periods: { am: "AM", pm: "PM" },
  datetime_formats: { null: "{1} {0}" },
  exp_symbol: "E",
  locale_name: "en_US",
  number_format: "#,##0.###",
  plus_sign: "+",
  time_formats: {
    medium: { pattern: "h:mm:ss a", format: "%(h)s:%(mm)s:%(ss)s %(a)s" },
    long: { pattern: "h:mm:ss a z", format: "%(h)s:%(mm)s:%(ss)s %(a)s %(z)s" },
    short: { pattern: "h:mm a", format: "%(h)s:%(mm)s %(a)s" },
    full: { pattern: "h:mm:ss a v", format: "%(h)s:%(mm)s:%(ss)s %(a)s %(v)s" }
  }
};
var i18n = {
  format_decimal: (num, format) => numeral_default(num).format(format),
  format_number: (num, format) => numeral_default(num).format(format),
  format_percent: (num) => numeral_default(num).format("0%"),
  format_scientific: (num) => numeral_default(num).format("0,0e+0"),
  format_date: (num, format) => moment_default(num).format(
    localeDefinition.date_formats[format] ? localeDefinition.date_formats[format].pattern : format
  ),
  format_datetime: (num, dateFormat) => {
    moment_default(num).format(
      localeDefinition.time_formats[dateFormat] ? localeDefinition.time_formats[dateFormat].pattern : dateFormat
    );
  },
  format_time: (num, format) => moment_default(num).format(
    localeDefinition.time_formats[format] ? localeDefinition.time_formats[format].pattern : format
  ),
  format_datetime_microseconds: (num, format) => moment_default(num).format(
    localeDefinition.time_formats[format] ? localeDefinition.time_formats[format].pattern : format
  ),
  format_time_microseconds: (num, format) => moment_default(num).format(
    localeDefinition.time_formats[format] ? localeDefinition.time_formats[format].pattern : format
  )
};
var setI18nFunctions = (global) => {
  Object.keys(i18n).forEach((k) => {
    if (!global[k]) {
      global[k] = i18n[k];
    }
  });
  if (!global.gettext) {
    global.gettext = (v) => v;
  }
  if (!global.locale_name) {
    global.locale_name = () => "en_US";
  }
  return global;
};
setI18nFunctions(window);
//# sourceMappingURL=i18n.js.map
