/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/iconUtils.js
var iconUtils_exports = {};
__export(iconUtils_exports, {
  b64EncodeUnicode: () => b64EncodeUnicode,
  isDataURI: () => isDataURI,
  isRemoteIcon: () => isRemoteIcon,
  shouldChangeFill: () => shouldChangeFill,
  shouldChangeStroke: () => shouldChangeStroke
});
module.exports = __toCommonJS(iconUtils_exports);
var isRemoteIcon = (icon = "") => icon.indexOf("://") > -1;
var isDataURI = (icon = "") => icon.startsWith("data:image/svg+xml;base64");
var shouldChangeFill = ({ fillAttr, fillStyle, strokeAttr, strokeStyle }) => {
  const noneFillAttr = !!fillAttr && (fillAttr === "none" || fillAttr === "transparent");
  const noneFillStyle = !!fillStyle && (fillStyle === "none" || fillStyle === "transparent");
  const noFillHasStroke = !fillAttr && !fillStyle && (!!strokeAttr || !!strokeStyle);
  return !(noneFillAttr || noneFillStyle || noFillHasStroke);
};
var shouldChangeStroke = ({ fillAttr, fillStyle, strokeAttr, strokeStyle }) => {
  const noneStrokeAttr = !!strokeAttr && (strokeAttr === "none" || strokeAttr === "transparent");
  const noneStrokeStyle = !!strokeStyle && (strokeStyle === "none" || strokeStyle === "transparent");
  const hasFill = !!fillAttr || !!fillStyle;
  const noStroke = !strokeAttr && !strokeStyle;
  return !(noneStrokeAttr || noneStrokeStyle || hasFill || noStroke);
};
var b64EncodeUnicode = (str) => (
  // first we use encodeURIComponent to get percent-encoded UTF-8,
  // then we convert the percent encodings into raw bytes which
  // can be fed into btoa.
  btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g, (match, p1) => String.fromCharCode(`0x${p1}`)))
);
//# sourceMappingURL=iconUtils.js.map
