/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __pow = Math.pow;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/numberUtils.js
var numberUtils_exports = {};
__export(numberUtils_exports, {
  formatNumber: () => formatNumber,
  isNumerial: () => isNumerial,
  isNumerialStr: () => isNumerialStr,
  parseNumber: () => parseNumber,
  startsWithNumber: () => startsWithNumber
});
module.exports = __toCommonJS(numberUtils_exports);

// esm-externals:@splunk/moment
var moment_exports = {};
__export(moment_exports, {
  default: () => moment_default
});
var defaultImport = __toESM(require("@splunk/moment"));
__reExport(moment_exports, require("@splunk/moment"));
var moment_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:lodash
var lodash_exports = {};
__export(lodash_exports, {
  default: () => lodash_default
});
var defaultImport2 = __toESM(require("lodash"));
__reExport(lodash_exports, require("lodash"));
var lodash_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport3 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/numberUtils.js
var DECIMAL_OR_SCIENTIFIC_REGEX = /(^[-+]?[0-9]*[.]?[0-9]*$)|(^[-+]?[0-9][.]?[0-9]*e[-+]?[0-9][0-9]*$)/i;
var COMMA_SEPARATED_NUMBER_REGEX = /(^[-+]?([0]|([1-9][0-9]{0,2})|(([1-9][0-9]{0,2}[,])([0-9]{3}[,])*[0-9]{3}))(([.][0-9]+)?)$)/;
var STARTS_WITH_NUMBER_REGEX = /^[-+]?\d/;
function isDecimalOrExpo(str) {
  return DECIMAL_OR_SCIENTIFIC_REGEX.test(str);
}
function isCommaSeparatedNumber(str) {
  return COMMA_SEPARATED_NUMBER_REGEX.test(str);
}
function isNumerialStr(str) {
  return isDecimalOrExpo(str) || isCommaSeparatedNumber(str);
}
function isNumerial(value) {
  return (0, lodash_exports.isFinite)(value) || (0, lodash_exports.isString)(value) && isNumerialStr(value);
}
function parseNumber(value) {
  if ((0, lodash_exports.isFinite)(value) || (0, lodash_exports.isString)(value) && isDecimalOrExpo(value)) {
    return parseFloat(value);
  }
  if ((0, lodash_exports.isString)(value) && isCommaSeparatedNumber(value)) {
    return parseFloat(value.replace(/,/g, ""));
  }
  return NaN;
}
function startsWithNumber(value) {
  return STARTS_WITH_NUMBER_REGEX.test(value);
}
var getThousandSeparatorDecimalPrecisionFormatter = (0, lodash_exports.memoize)(
  (locale = "en", options = {}) => new Intl.NumberFormat(locale, options),
  (locale, options) => `${locale}${JSON.stringify(options)}`
);
function formatNumber(number, precision, options = {}) {
  const formatOptions = {};
  const {
    useThousandSeparators = false,
    locale = moment_default.locale(),
    defaultPrecision = 0,
    useTrendUnits = false
  } = precision && typeof precision === "object" ? precision : options;
  if ((0, lodash_exports.isInteger)(precision) && precision >= 0) {
    const p = precision > 20 ? 20 : precision;
    formatOptions.minimumFractionDigits = p;
    formatOptions.maximumFractionDigits = p;
  } else {
    formatOptions.maximumFractionDigits = defaultPrecision;
  }
  formatOptions.useGrouping = useThousandSeparators === true;
  let trendUnit = "";
  let value = number;
  const units = [
    { letter: "T", power: 12 },
    { letter: "B", power: 9 },
    { letter: "M", power: 6 },
    { letter: "K", power: 3 }
  ];
  if (useTrendUnits) {
    const found = units.find((unit) => Math.abs(value) > __pow(10, unit.power));
    if (found) {
      value /= __pow(10, found.power);
      trendUnit = found.letter;
      formatOptions.maximumFractionDigits = 2;
      formatOptions.minimumFractionDigits = 0;
    }
  }
  const formatter = getThousandSeparatorDecimalPrecisionFormatter(locale, formatOptions);
  return `${formatter.format(value)}${trendUnit ? (0, i18n_exports._)(trendUnit) : ""}`;
}
//# sourceMappingURL=numberUtils.js.map
