/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/propUtils.js
var propUtils_exports = {};
__export(propUtils_exports, {
  adjustOptionsToSchema: () => adjustOptionsToSchema,
  convertPropsToString: () => convertPropsToString,
  convertToSCProperties: () => convertToSCProperties,
  formatColor: () => formatColor
});
module.exports = __toCommonJS(propUtils_exports);

// esm-externals:lodash
var lodash_exports = {};
__export(lodash_exports, {
  default: () => lodash_default
});
var defaultImport = __toESM(require("lodash"));
__reExport(lodash_exports, require("lodash"));
var lodash_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// src/propUtils.js
var convertPropsToString = ({ vizProps = {}, propNames = [] }) => {
  const convertedVizProps = {};
  propNames.forEach((propName) => {
    const propValue = vizProps[propName];
    if (Array.isArray(propValue) || (0, lodash_exports.isPlainObject)(propValue)) {
      convertedVizProps[propName] = JSON.stringify(propValue);
    } else if (propValue && typeof propValue === "string") {
      console.warn(`The option type 'string' for '${propName}' has been deprecated.`);
    }
  });
  return convertedVizProps;
};
var formatColor = (color) => {
  if (!color || typeof color !== "string") {
    return "";
  }
  return color.replace("0x", "#");
};
var convertToSCProperties = (originalOptions, optionsSCMapping, optionValuesSCMapping, stringValues) => {
  const returnOptions = {};
  const { y2Fields, overlayFields } = originalOptions;
  Object.keys(originalOptions).forEach((key) => {
    const newKey = optionsSCMapping[key] ? optionsSCMapping[key] : key;
    returnOptions[newKey] = originalOptions[key];
  });
  Object.keys(optionValuesSCMapping).forEach((key) => {
    if ((0, lodash_exports.has)(returnOptions, key)) {
      const updatedValue = optionValuesSCMapping[key][returnOptions[key]];
      if (!(0, lodash_exports.isUndefined)(updatedValue)) {
        returnOptions[key] = updatedValue;
      }
    }
  });
  if (y2Fields) {
    delete returnOptions.y2Fields;
    returnOptions["axisY2.enabled"] = true;
    returnOptions["axisY2.fields"] = Array.isArray(y2Fields) ? y2Fields.filter((name) => name).join(",") : y2Fields;
  }
  if (overlayFields) {
    returnOptions.overlayFields = Array.isArray(overlayFields) ? overlayFields.filter((field) => field).map((field) => field.trim()).join(",") : overlayFields;
  }
  stringValues.forEach((propName) => {
    const propValue = returnOptions[propName];
    if (Array.isArray(propValue) || (0, lodash_exports.isPlainObject)(propValue)) {
      returnOptions[propName] = JSON.stringify(propValue);
    } else if (propValue && typeof propValue === "string") {
      console.warn(`The option type 'string' for '${propName}' has been deprecated.`);
    }
  });
  return returnOptions;
};
var adjustOptionsToSchema = (originalOptions, optionsSchema) => {
  const returnOptions = {};
  Object.keys(optionsSchema).forEach((key) => {
    if (Object.hasOwn(originalOptions, key)) {
      returnOptions[key] = originalOptions[key];
    }
  });
  return returnOptions;
};
//# sourceMappingURL=propUtils.js.map
