/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/style.js
var style_exports = {};
__export(style_exports, {
  arrayToCSSProp: () => arrayToCSSProp,
  toDimension: () => toDimension,
  toMargin: () => toMargin,
  toPadding: () => toPadding,
  toPx: () => toPx
});
module.exports = __toCommonJS(style_exports);

// esm-externals:lodash/isNumber
var isNumber_exports = {};
__export(isNumber_exports, {
  default: () => isNumber_default
});
var defaultImport = __toESM(require("lodash/isNumber"));
__reExport(isNumber_exports, require("lodash/isNumber"));
var isNumber_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// src/style.js
var toPx = (number, defaultNumber = 0) => isNumber_default(number) ? `${number}px` : number || toPx(defaultNumber);
var toDimension = ({ width, height }) => {
  let css = "";
  if (width) {
    css = `width: ${toPx(width)};`;
  }
  if (height) {
    css = `${css}${width ? "\n" : ""}height: ${toPx(height)};`;
  }
  return css;
};
var arrayToCSSProp = (prop, vals = [0, 0, 0, 0]) => {
  if (Array.isArray(vals)) {
    return `
            ${prop}: ${toPx(vals[0])} ${toPx(vals[1])} ${toPx(vals[2])} ${toPx(vals[3])};
        `;
  }
  return `${prop}: ${toPx(vals)};`;
};
var toMargin = (margins = [0, 0, 0, 0]) => arrayToCSSProp("margin", margins);
var toPadding = (paddings = [0, 0, 0, 0]) => arrayToCSSProp("padding", paddings);
//# sourceMappingURL=style.js.map
