/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/themeUtils.js
var themeUtils_exports = {};
__export(themeUtils_exports, {
  getChartingThemeKey: () => getChartingThemeKey
});
module.exports = __toCommonJS(themeUtils_exports);

// esm-externals:lodash/get
var get_exports = {};
__export(get_exports, {
  default: () => get_default
});
var defaultImport = __toESM(require("lodash/get"));
__reExport(get_exports, require("lodash/get"));
var get_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/themes/getSettingsFromThemedProps
var getSettingsFromThemedProps_exports = {};
__export(getSettingsFromThemedProps_exports, {
  default: () => getSettingsFromThemedProps_default
});
var defaultImport2 = __toESM(require("@splunk/themes/getSettingsFromThemedProps"));
__reExport(getSettingsFromThemedProps_exports, require("@splunk/themes/getSettingsFromThemedProps"));
var getSettingsFromThemedProps_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/themeUtils.js
var chartingThemes = {
  light: {
    enterprise: "default",
    // TODO(fkurniawan): add prisma light theming to splunk-charting once designs are finalized
    prisma: "default"
  },
  dark: {
    enterprise: "dark",
    prisma: "prismaDark"
  }
};
var getChartingThemeKey = (theme) => {
  if (!theme) {
    return "prismaDark";
  }
  const { colorScheme, family } = getSettingsFromThemedProps_default({ theme });
  return get_default(chartingThemes, [colorScheme, family], "prismaDark");
};
//# sourceMappingURL=themeUtils.js.map
